// 订单相关
import { request } from "@/lib/service"
import { baseUrl } from '@/config'
 
/**
 * @desc 提交订单前数据确认接口
 * buy_type * 购买类型：0默认加入购物车 1立即购买
 * cart_ids 选中的购物车IDs，多个则使用逗号分隔(buy_type=0时必填)
 * sku_ids SKUIDs，多个则使用逗号分隔(buy_type=1时必填)
 * cart_numbers 购买数量s，多个则使用逗号分隔(buy_type=1时必填)
 */
export function preConfirmOrderData(params) {
	return request({
		url: 'zsxcx/orderDetail.htm',
		method: 'post',
		data: params
	})
}

/**
 * @desc 提交订单
 * look up docs
 */
export function confirmOrder(params) {
	return request({
		url: 'zsxcx/orderInfoXcx.htm',
		method: 'post',
		data: params
	})
}

/**
 * @desc 获取订单列表
 */
export function orderList() {
	return request({
		url: `${baseUrl}/a`
	})
}

/**
 * @desc 订单详情
 */
export function orderDetail() {
	return request({
		url: `${baseUrl}/a`
	})
}


/**
 * @desc 删除订单
 */
export function delOrder() {
	return request({
		url: `${baseUrl}/a`
	})
}
